summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Petar Petrov <petar.petrov@student.oulu.fi>2015-07-04 09:27:58 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-07-04 10:38:22 +0700
commit8d05196bf0f9339218ed901308b1c022f8fba8a8 (patch)
tree8fdab0112f655e1893020f546208e6acf66bfc7c /audio
parent9cd064e6cde83c4a3bfadae532e5ec3f439d9efe (diff)
downloadslackbuilds-8d05196bf0f9339218ed901308b1c022f8fba8a8.tar.gz
slackbuilds-8d05196bf0f9339218ed901308b1c022f8fba8a8.tar.xz
audio/rezound: Added (audio file editor).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/rezound/README30
-rw-r--r--audio/rezound/doinst.sh3
-rw-r--r--audio/rezound/rezound.SlackBuild126
-rw-r--r--audio/rezound/rezound.desktop8
-rw-r--r--audio/rezound/rezound.info10
-rw-r--r--audio/rezound/rezound.pngbin0 -> 4037 bytes
-rw-r--r--audio/rezound/slack-desc19
7 files changed, 196 insertions, 0 deletions
diff --git a/audio/rezound/README b/audio/rezound/README
new file mode 100644
index 0000000000..1463e6dd1b
--- /dev/null
+++ b/audio/rezound/README
@@ -0,0 +1,30 @@
+ReZound aims to be a stable, open source, and graphical audio file
+editor primarily for but not limited to the Linux operating system.
+
+Supported File Formats:
+- Native ReZound
+- WAVE
+- AIFF/AIFF-C
+- NeXT/Sun
+- Berkeley/IRCAM/CARL
+- raw
+- Ogg Vorbis
+- MPEG Layer-3,2,1
+- FLAC (preliminary)
+- MIDI Sample Dump Standard
+
+Supported Audio I/O Interfaces:
+- OSS
+- ALSA
+- JACK
+- PortAudio
+- PulseAudio
+
+The default audio interface is set to ALSA. You can enable alternative
+audio interfaces by passing variables to the script (VARIABLE=yes/no):
+
+OSS=yes|no (default: no)
+ALSA=yes|no (default: yes)
+JACK=yes|no (default: no), requires jack-audio-connection-kit
+PORT=yes|no (default: no), requires portaudio
+PULSE=yes|no (default: no), requires pulseaudio
diff --git a/audio/rezound/doinst.sh b/audio/rezound/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/audio/rezound/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/audio/rezound/rezound.SlackBuild b/audio/rezound/rezound.SlackBuild
new file mode 100644
index 0000000000..9c31bb0e50
--- /dev/null
+++ b/audio/rezound/rezound.SlackBuild
@@ -0,0 +1,126 @@
+#!/bin/sh
+
+# Slackware build script for rezound
+
+# Copyright 2015 Petar Petrov petar.petrov@student.oulu.fi
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=rezound
+VERSION=${VERSION:-0.13.1beta}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+# Define supported sound system. ALSA is the one enabled by default
+oss="--disable-oss" ; [ "${OSS:-no}" != "no" ] && oss="--enable-oss"
+alsa="--enable-alsa" ; [ "${ALSA:-yes}" != "yes" ] && alsa="--disable-alsa"
+port="--disable-portaudio" ; [ "${PORT:-no}" != "no" ] && port="--enable-portaudio"
+jack="--disable-jack" ; [ "${JACK:-no}" != "no" ] && jack="--enable-jack"
+pulse="--disable-pulse" ; [ "${PULSE:-no}" != "no" ] && pulse="--enable-pulse"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Fix docs path
+sed -i "s:/doc/@PACKAGE@:/doc/@PACKAGE@-${VERSION}:g" Makefile.in
+
+# The national language support builds on 32bit but does not on 64bit.
+# I have no idea why, hence I just disabled it (--disable-nls).
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-nls \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ $oss \
+ $alsa \
+ $port \
+ $jack \
+ $pulse
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Copy the man page, although it was meant for Debian
+mkdir -p $PKG/usr/man/man1
+cp packaging/debian/rezound.1 $PKG/usr/man/man1
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Use our icon (48x48) and desktop file
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+cp $CWD/$PRGNAM.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/rezound/rezound.desktop b/audio/rezound/rezound.desktop
new file mode 100644
index 0000000000..e75218e4b4
--- /dev/null
+++ b/audio/rezound/rezound.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Exec=/usr/bin/rezound %U
+Name=ReZound
+Comment=ReZound: an audio file editor
+Terminal=false
+Type=Application
+Icon=rezound
+Categories=AudioVideo
diff --git a/audio/rezound/rezound.info b/audio/rezound/rezound.info
new file mode 100644
index 0000000000..68cf3fd16c
--- /dev/null
+++ b/audio/rezound/rezound.info
@@ -0,0 +1,10 @@
+PRGNAM="rezound"
+VERSION="0.13.1beta"
+HOMEPAGE="http://rezound.sourceforge.net/"
+DOWNLOAD="http://sourceforge.net/projects/rezound/files/ReZound/0.13.1beta/rezound-0.13.1beta.tar.gz"
+MD5SUM="3ee8cd94da18cedad8e04f19065fb5e7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="fox-toolkit lame soundtouch"
+MAINTAINER="Petar Petrov"
+EMAIL="petar.petrov@student.oulu.fi"
diff --git a/audio/rezound/rezound.png b/audio/rezound/rezound.png
new file mode 100644
index 0000000000..5ac0858029
--- /dev/null
+++ b/audio/rezound/rezound.png
Binary files differ
diff --git a/audio/rezound/slack-desc b/audio/rezound/slack-desc
new file mode 100644
index 0000000000..23ff96dfe5
--- /dev/null
+++ b/audio/rezound/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+rezound: rezound (audio file editor)
+rezound:
+rezound: ReZound aims to be a stable, open source, and graphical audio
+rezound: file editor primarily for but not limited to the Linux
+rezound: operating system.
+rezound:
+rezound:
+rezound:
+rezound:
+rezound:
+rezound: